Package org.apache.sling.scripting.sightly.impl.engine.extension

# Class IncludeRuntimeExtension

java.lang.Object
org.apache.sling.scripting.sightly.impl.engine.extension.IncludeRuntimeExtension

All Implemented Interfaces:
  `org.apache.sling.scripting.sightly.extension.RuntimeExtension`

public class IncludeRuntimeExtension extends Object implements org.apache.sling.scripting.sightly.extension.RuntimeExtension
Runtime support for including resources in a HTL script through `data-sly-include`.

## Field Summary

### Fields inherited from interface org.apache.sling.scripting.sightly.extension.RuntimeExtension

`FORMAT, I18N, INCLUDE, JOIN, NAME, RESOURCE, URI_MANIPULATION, USE, XSS`

## Constructor Summary

Constructors
Constructor
Description
`IncludeRuntimeExtension()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`call(org.apache.sling.scripting.sightly.render.RenderContext renderContext, Object... arguments)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IncludeRuntimeExtension

public IncludeRuntimeExtension()

## Method Details

### call

public Object call(org.apache.sling.scripting.sightly.render.RenderContext renderContext, Object... arguments)

Specified by:
  `call` in interface `org.apache.sling.scripting.sightly.extension.RuntimeExtension`